[bug#36608,9/9] Update docker-compose to 1.24.1.
diff mbox series

Message ID CACy6W0D-6ORJWkvZ==UV5LfuKa+uviStJ61gPNWppTx4=X_LUg@mail.gmail.com
State New
Headers show
Series
  • [bug#36608,1/9] Update docker-compose to 1.24.1.
Related show

Commit Message

Jacob MacDonald July 11, 2019, 8:52 p.m. UTC

Patch
diff mbox series

From d7b8d3fe4739ecfb2935fd445d0a164b32fc2f12 Mon Sep 17 00:00:00 2001
From: Jacob MacDonald <jaccarmac@gmail.com>
Date: Thu, 11 Jul 2019 15:36:36 -0500
Subject: [PATCH 9/9] gnu: docker-compose: Update to 1.24.1.

* gnu/packages/docker.scm (docker-compose): Update to 1.24.1.
---
 gnu/packages/docker.scm | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/docker.scm b/gnu/packages/docker.scm
index de69524404..9d96a6345b 100644
--- a/gnu/packages/docker.scm
+++ b/gnu/packages/docker.scm
@@ -103,25 +103,32 @@  client.")
 (define-public docker-compose
   (package
     (name "docker-compose")
-    (version "1.5.2")
+    (version "1.24.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "docker-compose" version))
        (sha256
         (base32
-         "0ksg7hm2yvc977968dixxisrhcmvskzpcx3pz0v1kazrdqp7xakr"))))
+         "0lx7bx6jvhydbab8vwry0bclhdf0dfj6jrns1m5y45yp9ybqxmd5"))))
     (build-system python-build-system)
     ;; TODO: Tests require running Docker daemon.
     (arguments '(#:tests? #f))
     (inputs
-     `(("python-docker-py" ,python-docker-py)
+     `(("python2-backport-ssl-match-hostname"
+        ,python2-backport-ssl-match-hostname)
+       ("python-cached-property"
+        ,python-cached-property)
+       ("python-colorama" ,python-colorama)
+       ("python-docker-py" ,python-docker-py)
        ("python-docker-pycreds" ,python-docker-pycreds)
        ("python-dockerpty" ,python-dockerpty)
        ("python-docopt" ,python-docopt)
+       ("python-ipaddress" ,python-ipaddress)
+       ("python-paramiko" ,python-paramiko)
        ("python-jsonschema" ,python-jsonschema-2.6)
        ("python-pyyaml" ,python-pyyaml)
-       ("python-requests" ,python-requests-2.7)
+       ("python-requests" ,python-requests-2.20)
        ("python-six" ,python-six)
        ("python-texttable" ,python-texttable)
        ("python-websocket-client" ,python-websocket-client)))
-- 
2.22.0